import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["children", "className", "as"];
import * as React from 'react';
import classnames from 'classnames';

var LayoutAsideContent = function LayoutAsideContent(_ref) {
  var children = _ref.children,
      className = _ref.className,
      _ref$as = _ref.as,
      Type = _ref$as === void 0 ? 'div' : _ref$as,
      props = _objectWithoutProperties(_ref, _excluded);

  var layoutClass = classnames('sg-layout__aside-content', className);
  return /*#__PURE__*/React.createElement(Type, _extends({}, props, {
    className: layoutClass
  }), children);
};

export default LayoutAsideContent;